diff --git a/config/rootfiles/packages/ffmpeg b/config/rootfiles/packages/ffmpeg
index 755764666..ed013bc22 100644
--- a/config/rootfiles/packages/ffmpeg
+++ b/config/rootfiles/packages/ffmpeg
@@ -1,254 +1,92 @@
-usr/bin/ffmpeg
-usr/bin/ffprobe
-usr/bin/ffserver
-#usr/include/libavcodec
-#usr/include/libavcodec/avcodec.h
-#usr/include/libavcodec/avdct.h
-#usr/include/libavcodec/avfft.h
-#usr/include/libavcodec/d3d11va.h
-#usr/include/libavcodec/dirac.h
-#usr/include/libavcodec/dv_profile.h
-#usr/include/libavcodec/dxva2.h
-#usr/include/libavcodec/jni.h
-#usr/include/libavcodec/mediacodec.h
-#usr/include/libavcodec/qsv.h
-#usr/include/libavcodec/vaapi.h
-#usr/include/libavcodec/vda.h
-#usr/include/libavcodec/vdpau.h
-#usr/include/libavcodec/version.h
-#usr/include/libavcodec/videotoolbox.h
-#usr/include/libavcodec/vorbis_parser.h
-#usr/include/libavcodec/xvmc.h
-#usr/include/libavdevice
-#usr/include/libavdevice/avdevice.h
-#usr/include/libavdevice/version.h
-#usr/include/libavfilter
-#usr/include/libavfilter/avfilter.h
-#usr/include/libavfilter/avfiltergraph.h
-#usr/include/libavfilter/buffersink.h
-#usr/include/libavfilter/buffersrc.h
-#usr/include/libavfilter/version.h
-#usr/include/libavformat
-#usr/include/libavformat/avformat.h
-#usr/include/libavformat/avio.h
-#usr/include/libavformat/version.h
-#usr/include/libavresample
-#usr/include/libavresample/avresample.h
-#usr/include/libavresample/version.h
-#usr/include/libavutil
-#usr/include/libavutil/adler32.h
-#usr/include/libavutil/aes.h
-#usr/include/libavutil/aes_ctr.h
-#usr/include/libavutil/attributes.h
-#usr/include/libavutil/audio_fifo.h
-#usr/include/libavutil/avassert.h
-#usr/include/libavutil/avconfig.h
-#usr/include/libavutil/avstring.h
-#usr/include/libavutil/avutil.h
-#usr/include/libavutil/base64.h
-#usr/include/libavutil/blowfish.h
-#usr/include/libavutil/bprint.h
-#usr/include/libavutil/bswap.h
-#usr/include/libavutil/buffer.h
-#usr/include/libavutil/camellia.h
-#usr/include/libavutil/cast5.h
-#usr/include/libavutil/channel_layout.h
-#usr/include/libavutil/common.h
-#usr/include/libavutil/cpu.h
-#usr/include/libavutil/crc.h
-#usr/include/libavutil/des.h
-#usr/include/libavutil/dict.h
-#usr/include/libavutil/display.h
-#usr/include/libavutil/downmix_info.h
-#usr/include/libavutil/error.h
-#usr/include/libavutil/eval.h
-#usr/include/libavutil/ffversion.h
-#usr/include/libavutil/fifo.h
-#usr/include/libavutil/file.h
-#usr/include/libavutil/frame.h
-#usr/include/libavutil/hash.h
-#usr/include/libavutil/hmac.h
-#usr/include/libavutil/hwcontext.h
-#usr/include/libavutil/hwcontext_cuda.h
-#usr/include/libavutil/hwcontext_d3d11va.h
-#usr/include/libavutil/hwcontext_drm.h
-#usr/include/libavutil/hwcontext_dxva2.h
-#usr/include/libavutil/hwcontext_qsv.h
-#usr/include/libavutil/hwcontext_vaapi.h
-#usr/include/libavutil/hwcontext_vdpau.h
-#usr/include/libavutil/hwcontext_videotoolbox.h
-#usr/include/libavutil/imgutils.h
-#usr/include/libavutil/intfloat.h
-#usr/include/libavutil/intreadwrite.h
-#usr/include/libavutil/lfg.h
-#usr/include/libavutil/log.h
-#usr/include/libavutil/lzo.h
-#usr/include/libavutil/macros.h
-#usr/include/libavutil/mastering_display_metadata.h
-#usr/include/libavutil/mathematics.h
-#usr/include/libavutil/md5.h
-#usr/include/libavutil/mem.h
-#usr/include/libavutil/motion_vector.h
-#usr/include/libavutil/murmur3.h
-#usr/include/libavutil/opt.h
-#usr/include/libavutil/parseutils.h
-#usr/include/libavutil/pixdesc.h
-#usr/include/libavutil/pixelutils.h
-#usr/include/libavutil/pixfmt.h
-#usr/include/libavutil/random_seed.h
-#usr/include/libavutil/rational.h
-#usr/include/libavutil/rc4.h
-#usr/include/libavutil/replaygain.h
-#usr/include/libavutil/ripemd.h
-#usr/include/libavutil/samplefmt.h
-#usr/include/libavutil/sha.h
-#usr/include/libavutil/sha512.h
-#usr/include/libavutil/spherical.h
-#usr/include/libavutil/stereo3d.h
-#usr/include/libavutil/tea.h
-#usr/include/libavutil/threadmessage.h
-#usr/include/libavutil/time.h
-#usr/include/libavutil/timecode.h
-#usr/include/libavutil/timestamp.h
-#usr/include/libavutil/tree.h
-#usr/include/libavutil/twofish.h
-#usr/include/libavutil/version.h
-#usr/include/libavutil/xtea.h
-#usr/include/libpostproc
-#usr/include/libpostproc/postprocess.h
-#usr/include/libpostproc/version.h
-#usr/include/libswresample
-#usr/include/libswresample/swresample.h
-#usr/include/libswresample/version.h
-#usr/include/libswscale
-#usr/include/libswscale/swscale.h
-#usr/include/libswscale/version.h
-#usr/lib/libavcodec.a
-#usr/lib/libavcodec.so
-usr/lib/libavcodec.so.57
-usr/lib/libavcodec.so.57.107.100
-#usr/lib/libavdevice.a
-#usr/lib/libavdevice.so
-usr/lib/libavdevice.so.57
-usr/lib/libavdevice.so.57.10.100
-#usr/lib/libavfilter.a
-#usr/lib/libavfilter.so
-usr/lib/libavfilter.so.6
-usr/lib/libavfilter.so.6.107.100
-#usr/lib/libavformat.a
-#usr/lib/libavformat.so
-usr/lib/libavformat.so.57
-usr/lib/libavformat.so.57.83.100
-#usr/lib/libavresample.a
-#usr/lib/libavresample.so
-usr/lib/libavresample.so.3
-usr/lib/libavresample.so.3.7.0
-#usr/lib/libavutil.a
-#usr/lib/libavutil.so
-usr/lib/libavutil.so.55
-usr/lib/libavutil.so.55.78.100
-#usr/lib/libpostproc.a
-#usr/lib/libpostproc.so
-usr/lib/libpostproc.so.54
-usr/lib/libpostproc.so.54.7.100
-#usr/lib/libswresample.a
-#usr/lib/libswresample.so
-usr/lib/libswresample.so.2
-usr/lib/libswresample.so.2.9.100
-#usr/lib/libswscale.a
-#usr/lib/libswscale.so
-usr/lib/libswscale.so.4
-usr/lib/libswscale.so.4.8.100
-#usr/lib/pkgconfig/libavcodec.pc
-#usr/lib/pkgconfig/libavdevice.pc
-#usr/lib/pkgconfig/libavfilter.pc
-#usr/lib/pkgconfig/libavformat.pc
-#usr/lib/pkgconfig/libavresample.pc
-#usr/lib/pkgconfig/libavutil.pc
-#usr/lib/pkgconfig/libpostproc.pc
-#usr/lib/pkgconfig/libswresample.pc
-#usr/lib/pkgconfig/libswscale.pc
-#usr/share/doc/ffmpeg
-#usr/share/doc/ffmpeg/developer.html
-#usr/share/doc/ffmpeg/faq.html
-#usr/share/doc/ffmpeg/fate.html
-#usr/share/doc/ffmpeg/ffmpeg-all.html
-#usr/share/doc/ffmpeg/ffmpeg-bitstream-filters.html
-#usr/share/doc/ffmpeg/ffmpeg-codecs.html
-#usr/share/doc/ffmpeg/ffmpeg-devices.html
-#usr/share/doc/ffmpeg/ffmpeg-filters.html
-#usr/share/doc/ffmpeg/ffmpeg-formats.html
-#usr/share/doc/ffmpeg/ffmpeg-protocols.html
-#usr/share/doc/ffmpeg/ffmpeg-resampler.html
-#usr/share/doc/ffmpeg/ffmpeg-scaler.html
-#usr/share/doc/ffmpeg/ffmpeg-utils.html
-#usr/share/doc/ffmpeg/ffmpeg.html
-#usr/share/doc/ffmpeg/ffprobe-all.html
-#usr/share/doc/ffmpeg/ffprobe.html
-#usr/share/doc/ffmpeg/ffserver-all.html
-#usr/share/doc/ffmpeg/ffserver.html
-#usr/share/doc/ffmpeg/general.html
-#usr/share/doc/ffmpeg/git-howto.html
-#usr/share/doc/ffmpeg/libavcodec.html
-#usr/share/doc/ffmpeg/libavdevice.html
-#usr/share/doc/ffmpeg/libavfilter.html
-#usr/share/doc/ffmpeg/libavformat.html
-#usr/share/doc/ffmpeg/libavutil.html
-#usr/share/doc/ffmpeg/libswresample.html
-#usr/share/doc/ffmpeg/libswscale.html
-#usr/share/doc/ffmpeg/mailing-list-faq.html
-#usr/share/doc/ffmpeg/nut.html
-#usr/share/doc/ffmpeg/platform.html
-#usr/share/ffmpeg
-#usr/share/ffmpeg/examples
-#usr/share/ffmpeg/examples/Makefile
-#usr/share/ffmpeg/examples/README
-#usr/share/ffmpeg/examples/avio_dir_cmd.c
-#usr/share/ffmpeg/examples/avio_reading.c
-#usr/share/ffmpeg/examples/decode_audio.c
-#usr/share/ffmpeg/examples/decode_video.c
-#usr/share/ffmpeg/examples/demuxing_decoding.c
-#usr/share/ffmpeg/examples/encode_audio.c
-#usr/share/ffmpeg/examples/encode_video.c
-#usr/share/ffmpeg/examples/extract_mvs.c
-#usr/share/ffmpeg/examples/filter_audio.c
-#usr/share/ffmpeg/examples/filtering_audio.c
-#usr/share/ffmpeg/examples/filtering_video.c
-#usr/share/ffmpeg/examples/http_multiclient.c
-#usr/share/ffmpeg/examples/hw_decode.c
-#usr/share/ffmpeg/examples/metadata.c
-#usr/share/ffmpeg/examples/muxing.c
-#usr/share/ffmpeg/examples/qsvdec.c
-#usr/share/ffmpeg/examples/remuxing.c
-#usr/share/ffmpeg/examples/resampling_audio.c
-#usr/share/ffmpeg/examples/scaling_video.c
-#usr/share/ffmpeg/examples/transcode_aac.c
-#usr/share/ffmpeg/examples/transcoding.c
-#usr/share/ffmpeg/ffprobe.xsd
-#usr/share/ffmpeg/libvpx-1080p.ffpreset
-#usr/share/ffmpeg/libvpx-1080p50_60.ffpreset
-#usr/share/ffmpeg/libvpx-360p.ffpreset
-#usr/share/ffmpeg/libvpx-720p.ffpreset
-#usr/share/ffmpeg/libvpx-720p50_60.ffpreset
-#usr/share/man/man1/ffmpeg-all.1
-#usr/share/man/man1/ffmpeg-bitstream-filters.1
-#usr/share/man/man1/ffmpeg-codecs.1
-#usr/share/man/man1/ffmpeg-devices.1
-#usr/share/man/man1/ffmpeg-filters.1
-#usr/share/man/man1/ffmpeg-formats.1
-#usr/share/man/man1/ffmpeg-protocols.1
-#usr/share/man/man1/ffmpeg-resampler.1
-#usr/share/man/man1/ffmpeg-scaler.1
-#usr/share/man/man1/ffmpeg-utils.1
-#usr/share/man/man1/ffmpeg.1
-#usr/share/man/man1/ffprobe-all.1
-#usr/share/man/man1/ffprobe.1
-#usr/share/man/man1/ffserver-all.1
-#usr/share/man/man1/ffserver.1
-#usr/share/man/man3/libavcodec.3
-#usr/share/man/man3/libavdevice.3
-#usr/share/man/man3/libavfilter.3
-#usr/share/man/man3/libavformat.3
-#usr/share/man/man3/libavutil.3
-#usr/share/man/man3/libswresample.3
-#usr/share/man/man3/libswscale.3
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 4.2.2
+
+THISAPP    = ffmpeg-$(VER)
+DL_FILE    = $(THISAPP).tar.bz2
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = ffmpeg
+PAK_VER    = 9
+
+DEPS       = sdl lame libvorbis xvid
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = 829d56f158832dbf669b5b417af48060
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+
+	cd $(DIR_APP) && ./configure \
+		--prefix=/usr \
+		--enable-shared \
+		--enable-gpl \
+		--enable-version3 \
+		--enable-avfilter \
+		--enable-avresample
+
+	cd $(DIR_APP) && make $(MAKETUNING)
+	cd $(DIR_APP) && make install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/lfs/ffmpeg b/lfs/ffmpeg
index 3e705c2d5..ed013bc22 100644
--- a/lfs/ffmpeg
+++ b/lfs/ffmpeg
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 3.4
+VER        = 4.2.2
 
 THISAPP    = ffmpeg-$(VER)
 DL_FILE    = $(THISAPP).tar.bz2
@@ -32,7 +32,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = ffmpeg
-PAK_VER    = 8
+PAK_VER    = 9
 
 DEPS       = sdl lame libvorbis xvid
 
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 4d368db3431895d140e6f5f7b4987911
+$(DL_FILE)_MD5 = 829d56f158832dbf669b5b417af48060
 
 install : $(TARGET)
 
@@ -77,6 +77,7 @@ $(subst %,%_MD5,$(objects)) :
 $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+
 	cd $(DIR_APP) && ./configure \
 		--prefix=/usr \
 		--enable-shared \