diff --git a/config/rootfiles/packages/libmicrohttpd b/config/rootfiles/packages/libmicrohttpd
new file mode 100644
index 000000000..04e5b3cf4
--- /dev/null
+++ b/config/rootfiles/packages/libmicrohttpd
@@ -0,0 +1,6 @@
+#usr/include/microhttpd.h
+#usr/lib/libmicrohttpd.la
+#usr/lib/libmicrohttpd.so
+usr/lib/libmicrohttpd.so.12
+usr/lib/libmicrohttpd.so.12.55.0
+#usr/lib/pkgconfig/libmicrohttpd.pc
diff --git a/lfs/libmicrohttpd b/lfs/libmicrohttpd
new file mode 100644
index 000000000..0819a2850
--- /dev/null
+++ b/lfs/libmicrohttpd
@@ -0,0 +1,96 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 0.9.70
+
+THISAPP    = libmicrohttpd-$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+PROG       = libmicrohttpd
+PAK_VER    = 1
+
+DEPS       =
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = dcd6045ecb4ea18c120afedccbd1da74
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+
+	cd $(DIR_APP) && ./configure \
+		--prefix=/usr \
+		--libexecdir=/usr/lib/lighthttpd \
+		--enable-static=no \
+		--disable-nls \
+		--enable-gcc-hardening \
+		--enable-linker-hardening \
+		--disable-doc \
+		--disable-examples \
+		--disable-sendfile \
+		--enable-https
+
+	cd $(DIR_APP) && make $(MAKETUNING)
+	cd $(DIR_APP) && make install
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
diff --git a/make.sh b/make.sh
index 5b310e2e0..c65d946ce 100755
--- a/make.sh
+++ b/make.sh
@@ -1521,6 +1521,7 @@ buildipfire() {
   lfsmake2 perl-DBD-SQLite
   lfsmake2 perl-File-ReadBackwards
   lfsmake2 openvmtools
+  lfsmake2 libmicrohttpd
   lfsmake2 motion
   lfsmake2 joe
   lfsmake2 monit