diff --git a/config/rootfiles/packages/libvorbis b/config/rootfiles/packages/libvorbis
index e7f7c3c1b..3e83eb32a 100644
--- a/config/rootfiles/packages/libvorbis
+++ b/config/rootfiles/packages/libvorbis
@@ -6,165 +6,158 @@
 #usr/lib/libvorbis.la
 #usr/lib/libvorbis.so
 usr/lib/libvorbis.so.0
-usr/lib/libvorbis.so.0.4.6
+usr/lib/libvorbis.so.0.4.8
 #usr/lib/libvorbisenc.a
 #usr/lib/libvorbisenc.la
 #usr/lib/libvorbisenc.so
 usr/lib/libvorbisenc.so.2
-usr/lib/libvorbisenc.so.2.0.9
+usr/lib/libvorbisenc.so.2.0.11
 #usr/lib/libvorbisfile.a
 #usr/lib/libvorbisfile.la
 #usr/lib/libvorbisfile.so
 usr/lib/libvorbisfile.so.3
-usr/lib/libvorbisfile.so.3.3.5
+usr/lib/libvorbisfile.so.3.3.7
 #usr/lib/pkgconfig/vorbis.pc
 #usr/lib/pkgconfig/vorbisenc.pc
 #usr/lib/pkgconfig/vorbisfile.pc
 #usr/share/aclocal/vorbis.m4
-#usr/share/doc/libvorbis-1.3.3
-#usr/share/doc/libvorbis-1.3.3/doxygen-build.stamp
-#usr/share/doc/libvorbis-1.3.3/eightphase.png
-#usr/share/doc/libvorbis-1.3.3/evenlsp.png
-#usr/share/doc/libvorbis-1.3.3/fish_xiph_org.png
-#usr/share/doc/libvorbis-1.3.3/floor1_inverse_dB_table.html
-#usr/share/doc/libvorbis-1.3.3/floorval.png
-#usr/share/doc/libvorbis-1.3.3/fourphase.png
-#usr/share/doc/libvorbis-1.3.3/framing.html
-#usr/share/doc/libvorbis-1.3.3/helper.html
-#usr/share/doc/libvorbis-1.3.3/index.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis
-#usr/share/doc/libvorbis-1.3.3/libvorbis/index.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/overview.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/reference.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/return.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/style.css
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_analysis.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_analysis_blockout.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_analysis_buffer.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_analysis_headerout.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_analysis_init.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_analysis_wrote.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_bitrate_addblock.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_bitrate_flushpacket.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_block.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_block_clear.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_block_init.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_comment.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_comment_add.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_comment_add_tag.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_comment_clear.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_comment_init.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_comment_query.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_comment_query_count.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_commentheader_out.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_dsp_clear.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_dsp_state.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_granule_time.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_info.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_info_blocksize.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_info_clear.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_info_init.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_packet_blocksize.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_blockin.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_halfrate.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_halfrate_p.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_headerin.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_idheader.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_init.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_lapout.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_pcmout.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_read.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_restart.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_synthesis_trackonly.html
-#usr/share/doc/libvorbis-1.3.3/libvorbis/vorbis_version_string.html
-#usr/share/doc/libvorbis-1.3.3/lspmap.png
-#usr/share/doc/libvorbis-1.3.3/oddlsp.png
-#usr/share/doc/libvorbis-1.3.3/oggstream.html
-#usr/share/doc/libvorbis-1.3.3/programming.html
-#usr/share/doc/libvorbis-1.3.3/rfc5215.txt
-#usr/share/doc/libvorbis-1.3.3/rfc5215.xml
-#usr/share/doc/libvorbis-1.3.3/squarepolar.png
-#usr/share/doc/libvorbis-1.3.3/stereo.html
-#usr/share/doc/libvorbis-1.3.3/stream.png
-#usr/share/doc/libvorbis-1.3.3/v-comment.html
-#usr/share/doc/libvorbis-1.3.3/vorbis-clip.txt
-#usr/share/doc/libvorbis-1.3.3/vorbis-errors.txt
-#usr/share/doc/libvorbis-1.3.3/vorbis-fidelity.html
-#usr/share/doc/libvorbis-1.3.3/vorbis.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/changes.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/examples.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/index.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/ovectl_ratemanage2_arg.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/ovectl_ratemanage_arg.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/overview.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/reference.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/style.css
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/vorbis_encode_ctl.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/vorbis_encode_init.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/vorbis_encode_init_vbr.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/vorbis_encode_setup_init.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/vorbis_encode_setup_managed.html
-#usr/share/doc/libvorbis-1.3.3/vorbisenc/vorbis_encode_setup_vbr.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/OggVorbis_File.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/callbacks.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/chaining_example_c.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/chainingexample.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/crosslap.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/datastructures.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/decoding.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/example.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/exampleindex.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/fileinfo.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/index.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/initialization.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_bitrate.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_bitrate_instant.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_callbacks.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_clear.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_comment.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_crosslap.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_fopen.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_info.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_open.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_open_callbacks.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_pcm_seek.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_pcm_seek_lap.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_pcm_seek_page.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_pcm_seek_page_lap.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_pcm_tell.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_pcm_total.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_raw_seek.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_raw_seek_lap.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_raw_tell.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_raw_total.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_read.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_read_filter.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_read_float.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_seekable.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_serialnumber.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_streams.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_test.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_test_callbacks.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_test_open.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_time_seek.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_time_seek_lap.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_time_seek_page.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_time_seek_page_lap.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_time_tell.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/ov_time_total.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/overview.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/reference.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/seekexample.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/seeking.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/seeking_example_c.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/seeking_test_c.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/seekingexample.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/style.css
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/threads.html
-#usr/share/doc/libvorbis-1.3.3/vorbisfile/vorbisfile_example_c.html
-#usr/share/doc/libvorbis-1.3.3/vorbisword2.png
-#usr/share/doc/libvorbis-1.3.3/wait.png
-#usr/share/doc/libvorbis-1.3.3/white-xifish.png
+#usr/share/doc/libvorbis-1.3.6
+#usr/share/doc/libvorbis-1.3.6/doxygen-build.stamp
+#usr/share/doc/libvorbis-1.3.6/eightphase.png
+#usr/share/doc/libvorbis-1.3.6/fish_xiph_org.png
+#usr/share/doc/libvorbis-1.3.6/floor1_inverse_dB_table.html
+#usr/share/doc/libvorbis-1.3.6/floorval.png
+#usr/share/doc/libvorbis-1.3.6/fourphase.png
+#usr/share/doc/libvorbis-1.3.6/framing.html
+#usr/share/doc/libvorbis-1.3.6/helper.html
+#usr/share/doc/libvorbis-1.3.6/index.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis
+#usr/share/doc/libvorbis-1.3.6/libvorbis/index.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/overview.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/reference.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/return.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/style.css
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_analysis.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_analysis_blockout.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_analysis_buffer.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_analysis_headerout.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_analysis_init.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_analysis_wrote.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_bitrate_addblock.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_bitrate_flushpacket.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_block.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_block_clear.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_block_init.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_comment.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_comment_add.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_comment_add_tag.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_comment_clear.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_comment_init.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_comment_query.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_comment_query_count.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_commentheader_out.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_dsp_clear.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_dsp_state.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_granule_time.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_info.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_info_blocksize.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_info_clear.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_info_init.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_packet_blocksize.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_blockin.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_halfrate.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_halfrate_p.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_headerin.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_idheader.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_init.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_lapout.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_pcmout.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_read.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_restart.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_synthesis_trackonly.html
+#usr/share/doc/libvorbis-1.3.6/libvorbis/vorbis_version_string.html
+#usr/share/doc/libvorbis-1.3.6/oggstream.html
+#usr/share/doc/libvorbis-1.3.6/programming.html
+#usr/share/doc/libvorbis-1.3.6/rfc5215.txt
+#usr/share/doc/libvorbis-1.3.6/rfc5215.xml
+#usr/share/doc/libvorbis-1.3.6/squarepolar.png
+#usr/share/doc/libvorbis-1.3.6/stereo.html
+#usr/share/doc/libvorbis-1.3.6/stream.png
+#usr/share/doc/libvorbis-1.3.6/v-comment.html
+#usr/share/doc/libvorbis-1.3.6/vorbis-clip.txt
+#usr/share/doc/libvorbis-1.3.6/vorbis-errors.txt
+#usr/share/doc/libvorbis-1.3.6/vorbis-fidelity.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/changes.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/examples.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/index.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/ovectl_ratemanage2_arg.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/ovectl_ratemanage_arg.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/overview.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/reference.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/style.css
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/vorbis_encode_ctl.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/vorbis_encode_init.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/vorbis_encode_init_vbr.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/vorbis_encode_setup_init.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/vorbis_encode_setup_managed.html
+#usr/share/doc/libvorbis-1.3.6/vorbisenc/vorbis_encode_setup_vbr.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/OggVorbis_File.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/callbacks.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/chaining_example_c.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/chainingexample.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/crosslap.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/datastructures.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/decoding.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/example.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/exampleindex.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/fileinfo.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/index.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/initialization.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_bitrate.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_bitrate_instant.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_callbacks.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_clear.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_comment.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_crosslap.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_fopen.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_info.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_open.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_open_callbacks.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_pcm_seek.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_pcm_seek_lap.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_pcm_seek_page.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_pcm_seek_page_lap.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_pcm_tell.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_pcm_total.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_raw_seek.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_raw_seek_lap.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_raw_tell.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_raw_total.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_read.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_read_filter.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_read_float.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_seekable.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_serialnumber.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_streams.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_test.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_test_callbacks.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_test_open.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_time_seek.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_time_seek_lap.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_time_seek_page.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_time_seek_page_lap.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_time_tell.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/ov_time_total.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/overview.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/reference.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/seekexample.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/seeking.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/seeking_example_c.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/seeking_test_c.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/seekingexample.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/style.css
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/threads.html
+#usr/share/doc/libvorbis-1.3.6/vorbisfile/vorbisfile_example_c.html
diff --git a/lfs/libvorbis b/lfs/libvorbis
index 4b0a6adf1..5d8c39811 100644
--- a/lfs/libvorbis
+++ b/lfs/libvorbis
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.3.3
+VER        = 1.3.6
 
 THISAPP    = libvorbis-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -32,7 +32,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = libvorbis
-PAK_VER    = 4
+PAK_VER    = 5
 
 DEPS       = libogg
 
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 71b649d3e08e63ece16649df906ce8b9
+$(DL_FILE)_MD5 = b7d1692f275c73e7833ed1cc2697cd65
 
 install : $(TARGET)
 