diff --git a/config/rootfiles/packages/armv5tel/borgbackup b/config/rootfiles/packages/armv5tel/borgbackup
index 245e54a19..276c9ea98 100644
--- a/config/rootfiles/packages/armv5tel/borgbackup
+++ b/config/rootfiles/packages/armv5tel/borgbackup
@@ -81,11 +81,11 @@ usr/lib/python3.8/site-packages/borg/shellpattern.py
 usr/lib/python3.8/site-packages/borg/upgrader.py
 usr/lib/python3.8/site-packages/borg/version.py
 usr/lib/python3.8/site-packages/borg/xattr.py
-#usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/PKG-INFO
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/SOURCES.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/dependency_links.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/entry_points.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/not-zip-safe
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/requires.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/top_level.txt
+#usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/PKG-INFO
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/SOURCES.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/dependency_links.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/entry_points.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/not-zip-safe
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/requires.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/top_level.txt
diff --git a/config/rootfiles/packages/borgbackup b/config/rootfiles/packages/borgbackup
index cdfe569b5..6fbe61429 100644
--- a/config/rootfiles/packages/borgbackup
+++ b/config/rootfiles/packages/borgbackup
@@ -81,11 +81,11 @@ usr/lib/python3.8/site-packages/borg/shellpattern.py
 usr/lib/python3.8/site-packages/borg/upgrader.py
 usr/lib/python3.8/site-packages/borg/version.py
 usr/lib/python3.8/site-packages/borg/xattr.py
-#usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/PKG-INFO
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/SOURCES.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/dependency_links.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/entry_points.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/not-zip-safe
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/requires.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/top_level.txt
+#usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/PKG-INFO
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/SOURCES.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/dependency_links.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/entry_points.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/not-zip-safe
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/requires.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/top_level.txt
diff --git a/config/rootfiles/packages/i586/borgbackup b/config/rootfiles/packages/i586/borgbackup
index 786d185bc..6865d7d20 100644
--- a/config/rootfiles/packages/i586/borgbackup
+++ b/config/rootfiles/packages/i586/borgbackup
@@ -81,11 +81,11 @@ usr/lib/python3.8/site-packages/borg/shellpattern.py
 usr/lib/python3.8/site-packages/borg/upgrader.py
 usr/lib/python3.8/site-packages/borg/version.py
 usr/lib/python3.8/site-packages/borg/xattr.py
-#usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/PKG-INFO
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/SOURCES.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/dependency_links.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/entry_points.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/not-zip-safe
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/requires.txt
-usr/lib/python3.8/site-packages/borgbackup-1.1.11-py3.8.egg-info/top_level.txt
+#usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/PKG-INFO
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/SOURCES.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/dependency_links.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/entry_points.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/not-zip-safe
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/requires.txt
+usr/lib/python3.8/site-packages/borgbackup-1.1.13-py3.8.egg-info/top_level.txt
diff --git a/lfs/borgbackup b/lfs/borgbackup
index bc1cfa2dd..ea87cf5ce 100644
--- a/lfs/borgbackup
+++ b/lfs/borgbackup
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.1.11
+VER        = 1.1.13
 
 THISAPP    = borgbackup-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -32,7 +32,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = borgbackup
-PAK_VER    = 5
+PAK_VER    = 6
 
 DEPS       = python3-llfuse python3-msgpack
 
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = ab9721f10c2500e0ca872545c64b6e2f
+$(DL_FILE)_MD5 = a82d2bdf61bfaeebb90ac8ab1347657a
 
 install : $(TARGET)
 