diff --git a/config/rootfiles/common/lmdb b/config/rootfiles/common/lmdb
new file mode 100644
index 000000000..a65849b9e
--- /dev/null
+++ b/config/rootfiles/common/lmdb
@@ -0,0 +1,10 @@
+#usr/bin/mdb_copy
+#usr/bin/mdb_dump
+#usr/bin/mdb_load
+#usr/bin/mdb_stat
+#usr/include/lmdb.h
+usr/lib/liblmdb.so
+#usr/share/man/man1/mdb_copy.1
+#usr/share/man/man1/mdb_dump.1
+#usr/share/man/man1/mdb_load.1
+#usr/share/man/man1/mdb_stat.1
diff --git a/lfs/lmdb b/lfs/lmdb
new file mode 100644
index 000000000..1f496cd61
--- /dev/null
+++ b/lfs/lmdb
@@ -0,0 +1,83 @@
+###############################################################################
+#                                                                             #
+# IPFire.org - A linux based firewall                                         #
+# Copyright (C) 2007-2020  IPFire Team  <info@ipfire.org>                     #
+#                                                                             #
+# This program is free software: you can redistribute it and/or modify        #
+# it under the terms of the GNU General Public License as published by        #
+# the Free Software Foundation, either version 3 of the License, or           #
+# (at your option) any later version.                                         #
+#                                                                             #
+# This program is distributed in the hope that it will be useful,             #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
+# GNU General Public License for more details.                                #
+#                                                                             #
+# You should have received a copy of the GNU General Public License           #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
+#                                                                             #
+###############################################################################
+
+###############################################################################
+# Definitions
+###############################################################################
+
+include Config
+
+VER        = 0.9.24
+
+THISAPP    = lmdb-LMDB_$(VER)
+DL_FILE    = $(THISAPP).tar.gz
+DL_FROM    = $(URL_IPFIRE)
+DIR_APP    = $(DIR_SRC)/$(THISAPP)
+TARGET     = $(DIR_INFO)/$(THISAPP)
+
+###############################################################################
+# Top-level Rules
+###############################################################################
+
+objects = $(DL_FILE)
+
+$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
+
+$(DL_FILE)_MD5 = c3e3474daf4a59685d154cc7fc5c99ad
+
+install : $(TARGET)
+
+check : $(patsubst %,$(DIR_CHK)/%,$(objects))
+
+download :$(patsubst %,$(DIR_DL)/%,$(objects))
+
+md5 : $(subst %,%_MD5,$(objects))
+
+dist: 
+	@$(PAK)
+
+###############################################################################
+# Downloading, checking, md5sum
+###############################################################################
+
+$(patsubst %,$(DIR_CHK)/%,$(objects)) :
+	@$(CHECK)
+
+$(patsubst %,$(DIR_DL)/%,$(objects)) :
+	@$(LOAD)
+
+$(subst %,%_MD5,$(objects)) :
+	@$(MD5)
+
+###############################################################################
+# Installation Details
+###############################################################################
+
+$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
+	@$(PREBUILD)
+	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
+
+	cd $(DIR_APP)/libraries/liblmdb && make $(MAKETUNING)
+	cd $(DIR_APP)/libraries/liblmdb && sed -i 's| liblmdb.a||' Makefile
+	cd $(DIR_APP)/libraries/liblmdb && make prefix=/usr install
+
+	@rm -rf $(DIR_APP)
+	@$(POSTBUILD)
+
diff --git a/make.sh b/make.sh
index 4a9dd3cb6..27a9bf768 100755
--- a/make.sh
+++ b/make.sh
@@ -1632,6 +1632,7 @@ buildipfire() {
   lfsmake2 dehydrated
   lfsmake2 shairport-sync
   lfsmake2 borgbackup
+  lfsmake2 lmdb
   lfsmake2 knot
   lfsmake2 spectre-meltdown-checker
   lfsmake2 zabbix_agentd