diff --git a/config/rootfiles/packages/armv5tel/borgbackup b/config/rootfiles/packages/armv5tel/borgbackup
index 276c9ea98..1b2c782d8 100644
--- a/config/rootfiles/packages/armv5tel/borgbackup
+++ b/config/rootfiles/packages/armv5tel/borgbackup
@@ -50,34 +50,34 @@ usr/lib/python3.8/site-packages/borg/repository.py
 usr/lib/python3.8/site-packages/borg/selftest.py
 usr/lib/python3.8/site-packages/borg/shellpattern.py
 #usr/lib/python3.8/site-packages/borg/testsuite
-#usr/lib/python3.8/site-packages/borg/testsuite/__init__.py
-#usr/lib/python3.8/site-packages/borg/testsuite/archive.py
-#usr/lib/python3.8/site-packages/borg/testsuite/archiver.py
-#usr/lib/python3.8/site-packages/borg/testsuite/attic.tar.gz
-#usr/lib/python3.8/site-packages/borg/testsuite/benchmark.py
-#usr/lib/python3.8/site-packages/borg/testsuite/cache.py
-#usr/lib/python3.8/site-packages/borg/testsuite/checksums.py
-#usr/lib/python3.8/site-packages/borg/testsuite/chunker.py
-#usr/lib/python3.8/site-packages/borg/testsuite/compress.py
-#usr/lib/python3.8/site-packages/borg/testsuite/crypto.py
-#usr/lib/python3.8/site-packages/borg/testsuite/file_integrity.py
-#usr/lib/python3.8/site-packages/borg/testsuite/hashindex.py
-#usr/lib/python3.8/site-packages/borg/testsuite/helpers.py
-#usr/lib/python3.8/site-packages/borg/testsuite/item.py
-#usr/lib/python3.8/site-packages/borg/testsuite/key.py
-#usr/lib/python3.8/site-packages/borg/testsuite/locking.py
-#usr/lib/python3.8/site-packages/borg/testsuite/logger.py
-#usr/lib/python3.8/site-packages/borg/testsuite/lrucache.py
-#usr/lib/python3.8/site-packages/borg/testsuite/nanorst.py
-#usr/lib/python3.8/site-packages/borg/testsuite/nonces.py
-#usr/lib/python3.8/site-packages/borg/testsuite/patterns.py
-#usr/lib/python3.8/site-packages/borg/testsuite/platform.py
-#usr/lib/python3.8/site-packages/borg/testsuite/remote.py
-#usr/lib/python3.8/site-packages/borg/testsuite/repository.py
-#usr/lib/python3.8/site-packages/borg/testsuite/shellpattern.py
-#usr/lib/python3.8/site-packages/borg/testsuite/upgrader.py
-#usr/lib/python3.8/site-packages/borg/testsuite/version.py
-#usr/lib/python3.8/site-packages/borg/testsuite/xattr.py
+usr/lib/python3.8/site-packages/borg/testsuite/__init__.py
+usr/lib/python3.8/site-packages/borg/testsuite/archive.py
+usr/lib/python3.8/site-packages/borg/testsuite/archiver.py
+usr/lib/python3.8/site-packages/borg/testsuite/attic.tar.gz
+usr/lib/python3.8/site-packages/borg/testsuite/benchmark.py
+usr/lib/python3.8/site-packages/borg/testsuite/cache.py
+usr/lib/python3.8/site-packages/borg/testsuite/checksums.py
+usr/lib/python3.8/site-packages/borg/testsuite/chunker.py
+usr/lib/python3.8/site-packages/borg/testsuite/compress.py
+usr/lib/python3.8/site-packages/borg/testsuite/crypto.py
+usr/lib/python3.8/site-packages/borg/testsuite/file_integrity.py
+usr/lib/python3.8/site-packages/borg/testsuite/hashindex.py
+usr/lib/python3.8/site-packages/borg/testsuite/helpers.py
+usr/lib/python3.8/site-packages/borg/testsuite/item.py
+usr/lib/python3.8/site-packages/borg/testsuite/key.py
+usr/lib/python3.8/site-packages/borg/testsuite/locking.py
+usr/lib/python3.8/site-packages/borg/testsuite/logger.py
+usr/lib/python3.8/site-packages/borg/testsuite/lrucache.py
+usr/lib/python3.8/site-packages/borg/testsuite/nanorst.py
+usr/lib/python3.8/site-packages/borg/testsuite/nonces.py
+usr/lib/python3.8/site-packages/borg/testsuite/patterns.py
+usr/lib/python3.8/site-packages/borg/testsuite/platform.py
+usr/lib/python3.8/site-packages/borg/testsuite/remote.py
+usr/lib/python3.8/site-packages/borg/testsuite/repository.py
+usr/lib/python3.8/site-packages/borg/testsuite/shellpattern.py
+usr/lib/python3.8/site-packages/borg/testsuite/upgrader.py
+usr/lib/python3.8/site-packages/borg/testsuite/version.py
+usr/lib/python3.8/site-packages/borg/testsuite/xattr.py
 usr/lib/python3.8/site-packages/borg/upgrader.py
 usr/lib/python3.8/site-packages/borg/version.py
 usr/lib/python3.8/site-packages/borg/xattr.py
diff --git a/config/rootfiles/packages/i586/borgbackup b/config/rootfiles/packages/i586/borgbackup
index 6865d7d20..8f793b363 100644
--- a/config/rootfiles/packages/i586/borgbackup
+++ b/config/rootfiles/packages/i586/borgbackup
@@ -50,34 +50,34 @@ usr/lib/python3.8/site-packages/borg/repository.py
 usr/lib/python3.8/site-packages/borg/selftest.py
 usr/lib/python3.8/site-packages/borg/shellpattern.py
 #usr/lib/python3.8/site-packages/borg/testsuite
-#usr/lib/python3.8/site-packages/borg/testsuite/__init__.py
-#usr/lib/python3.8/site-packages/borg/testsuite/archive.py
-#usr/lib/python3.8/site-packages/borg/testsuite/archiver.py
-#usr/lib/python3.8/site-packages/borg/testsuite/attic.tar.gz
-#usr/lib/python3.8/site-packages/borg/testsuite/benchmark.py
-#usr/lib/python3.8/site-packages/borg/testsuite/cache.py
-#usr/lib/python3.8/site-packages/borg/testsuite/checksums.py
-#usr/lib/python3.8/site-packages/borg/testsuite/chunker.py
-#usr/lib/python3.8/site-packages/borg/testsuite/compress.py
-#usr/lib/python3.8/site-packages/borg/testsuite/crypto.py
-#usr/lib/python3.8/site-packages/borg/testsuite/file_integrity.py
-#usr/lib/python3.8/site-packages/borg/testsuite/hashindex.py
-#usr/lib/python3.8/site-packages/borg/testsuite/helpers.py
-#usr/lib/python3.8/site-packages/borg/testsuite/item.py
-#usr/lib/python3.8/site-packages/borg/testsuite/key.py
-#usr/lib/python3.8/site-packages/borg/testsuite/locking.py
-#usr/lib/python3.8/site-packages/borg/testsuite/logger.py
-#usr/lib/python3.8/site-packages/borg/testsuite/lrucache.py
-#usr/lib/python3.8/site-packages/borg/testsuite/nanorst.py
-#usr/lib/python3.8/site-packages/borg/testsuite/nonces.py
-#usr/lib/python3.8/site-packages/borg/testsuite/patterns.py
-#usr/lib/python3.8/site-packages/borg/testsuite/platform.py
-#usr/lib/python3.8/site-packages/borg/testsuite/remote.py
-#usr/lib/python3.8/site-packages/borg/testsuite/repository.py
-#usr/lib/python3.8/site-packages/borg/testsuite/shellpattern.py
-#usr/lib/python3.8/site-packages/borg/testsuite/upgrader.py
-#usr/lib/python3.8/site-packages/borg/testsuite/version.py
-#usr/lib/python3.8/site-packages/borg/testsuite/xattr.py
+usr/lib/python3.8/site-packages/borg/testsuite/__init__.py
+usr/lib/python3.8/site-packages/borg/testsuite/archive.py
+usr/lib/python3.8/site-packages/borg/testsuite/archiver.py
+usr/lib/python3.8/site-packages/borg/testsuite/attic.tar.gz
+usr/lib/python3.8/site-packages/borg/testsuite/benchmark.py
+usr/lib/python3.8/site-packages/borg/testsuite/cache.py
+usr/lib/python3.8/site-packages/borg/testsuite/checksums.py
+usr/lib/python3.8/site-packages/borg/testsuite/chunker.py
+usr/lib/python3.8/site-packages/borg/testsuite/compress.py
+usr/lib/python3.8/site-packages/borg/testsuite/crypto.py
+usr/lib/python3.8/site-packages/borg/testsuite/file_integrity.py
+usr/lib/python3.8/site-packages/borg/testsuite/hashindex.py
+usr/lib/python3.8/site-packages/borg/testsuite/helpers.py
+usr/lib/python3.8/site-packages/borg/testsuite/item.py
+usr/lib/python3.8/site-packages/borg/testsuite/key.py
+usr/lib/python3.8/site-packages/borg/testsuite/locking.py
+usr/lib/python3.8/site-packages/borg/testsuite/logger.py
+usr/lib/python3.8/site-packages/borg/testsuite/lrucache.py
+usr/lib/python3.8/site-packages/borg/testsuite/nanorst.py
+usr/lib/python3.8/site-packages/borg/testsuite/nonces.py
+usr/lib/python3.8/site-packages/borg/testsuite/patterns.py
+usr/lib/python3.8/site-packages/borg/testsuite/platform.py
+usr/lib/python3.8/site-packages/borg/testsuite/remote.py
+usr/lib/python3.8/site-packages/borg/testsuite/repository.py
+usr/lib/python3.8/site-packages/borg/testsuite/shellpattern.py
+usr/lib/python3.8/site-packages/borg/testsuite/upgrader.py
+usr/lib/python3.8/site-packages/borg/testsuite/version.py
+usr/lib/python3.8/site-packages/borg/testsuite/xattr.py
 usr/lib/python3.8/site-packages/borg/upgrader.py
 usr/lib/python3.8/site-packages/borg/version.py
 usr/lib/python3.8/site-packages/borg/xattr.py