diff --git a/config/rootfiles/packages/ghostscript b/config/rootfiles/packages/ghostscript
index dd45b5348..983d0b766 100644
--- a/config/rootfiles/packages/ghostscript
+++ b/config/rootfiles/packages/ghostscript
@@ -25,209 +25,208 @@ usr/bin/ps2ps
 usr/bin/ps2ps2
 usr/bin/unix-lpr.sh
 #usr/share/doc/ghostscript
-#usr/share/doc/ghostscript/9.26
-#usr/share/doc/ghostscript/9.26/API.htm
-#usr/share/doc/ghostscript/9.26/C-style.htm
-#usr/share/doc/ghostscript/9.26/Commprod.htm
-#usr/share/doc/ghostscript/9.26/DLL.htm
-#usr/share/doc/ghostscript/9.26/Deprecated.htm
-#usr/share/doc/ghostscript/9.26/Develop.htm
-#usr/share/doc/ghostscript/9.26/Devices.htm
-#usr/share/doc/ghostscript/9.26/Drivers.htm
-#usr/share/doc/ghostscript/9.26/Fonts.htm
-#usr/share/doc/ghostscript/9.26/GS9_Color_Management.pdf
-#usr/share/doc/ghostscript/9.26/History9.htm
-#usr/share/doc/ghostscript/9.26/Install.htm
-#usr/share/doc/ghostscript/9.26/Language.htm
-#usr/share/doc/ghostscript/9.26/Lib.htm
-#usr/share/doc/ghostscript/9.26/Make.htm
-#usr/share/doc/ghostscript/9.26/News.htm
-#usr/share/doc/ghostscript/9.26/Ps-style.htm
-#usr/share/doc/ghostscript/9.26/Ps2epsi.htm
-#usr/share/doc/ghostscript/9.26/Psfiles.htm
-#usr/share/doc/ghostscript/9.26/Readme.htm
-#usr/share/doc/ghostscript/9.26/Release.htm
-#usr/share/doc/ghostscript/9.26/SavedPages.htm
-#usr/share/doc/ghostscript/9.26/Source.htm
-#usr/share/doc/ghostscript/9.26/Unix-lpr.htm
-#usr/share/doc/ghostscript/9.26/Use.htm
-#usr/share/doc/ghostscript/9.26/VectorDevices.htm
-#usr/share/doc/ghostscript/9.26/WhatIsGS.htm
-#usr/share/doc/ghostscript/9.26/gdevds32.c
-#usr/share/doc/ghostscript/9.26/gs-style.css
-#usr/share/doc/ghostscript/9.26/images
-#usr/share/doc/ghostscript/9.26/images/Artifex_logo.png
-#usr/share/doc/ghostscript/9.26/images/favicon.png
-#usr/share/doc/ghostscript/9.26/images/ghostscript_logo.png
-#usr/share/doc/ghostscript/9.26/images/hamburger-light.png
-#usr/share/doc/ghostscript/9.26/images/x-light.png
-#usr/share/doc/ghostscript/9.26/index.html
-#usr/share/doc/ghostscript/9.26/index.js
-#usr/share/doc/ghostscript/9.26/pscet_status.txt
-#usr/share/doc/ghostscript/9.26/sample_downscale_device.htm
-#usr/share/doc/ghostscript/9.26/style.css
-#usr/share/doc/ghostscript/9.26/subclass.htm
-#usr/share/doc/ghostscript/9.26/thirdparty.htm
+#usr/share/doc/ghostscript/9.53.3
+#usr/share/doc/ghostscript/9.53.3/API.htm
+#usr/share/doc/ghostscript/9.53.3/C-style.htm
+#usr/share/doc/ghostscript/9.53.3/COPYING
+#usr/share/doc/ghostscript/9.53.3/Commprod.htm
+#usr/share/doc/ghostscript/9.53.3/DLL.htm
+#usr/share/doc/ghostscript/9.53.3/Deprecated.htm
+#usr/share/doc/ghostscript/9.53.3/Develop.htm
+#usr/share/doc/ghostscript/9.53.3/Devices.htm
+#usr/share/doc/ghostscript/9.53.3/Drivers.htm
+#usr/share/doc/ghostscript/9.53.3/Fonts.htm
+#usr/share/doc/ghostscript/9.53.3/GS9_Color_Management.pdf
+#usr/share/doc/ghostscript/9.53.3/History9.htm
+#usr/share/doc/ghostscript/9.53.3/Install.htm
+#usr/share/doc/ghostscript/9.53.3/Language.htm
+#usr/share/doc/ghostscript/9.53.3/Lib.htm
+#usr/share/doc/ghostscript/9.53.3/Make.htm
+#usr/share/doc/ghostscript/9.53.3/News.htm
+#usr/share/doc/ghostscript/9.53.3/Ps-style.htm
+#usr/share/doc/ghostscript/9.53.3/Ps2epsi.htm
+#usr/share/doc/ghostscript/9.53.3/Psfiles.htm
+#usr/share/doc/ghostscript/9.53.3/Readme.htm
+#usr/share/doc/ghostscript/9.53.3/Release.htm
+#usr/share/doc/ghostscript/9.53.3/SavedPages.htm
+#usr/share/doc/ghostscript/9.53.3/Source.htm
+#usr/share/doc/ghostscript/9.53.3/Unix-lpr.htm
+#usr/share/doc/ghostscript/9.53.3/Use.htm
+#usr/share/doc/ghostscript/9.53.3/VectorDevices.htm
+#usr/share/doc/ghostscript/9.53.3/WhatIsGS.htm
+#usr/share/doc/ghostscript/9.53.3/gdevds32.c
+#usr/share/doc/ghostscript/9.53.3/gs-style.css
+#usr/share/doc/ghostscript/9.53.3/images
+#usr/share/doc/ghostscript/9.53.3/images/Artifex_logo.png
+#usr/share/doc/ghostscript/9.53.3/images/favicon.png
+#usr/share/doc/ghostscript/9.53.3/images/ghostscript_logo.png
+#usr/share/doc/ghostscript/9.53.3/images/hamburger-light.png
+#usr/share/doc/ghostscript/9.53.3/images/x-light.png
+#usr/share/doc/ghostscript/9.53.3/index.html
+#usr/share/doc/ghostscript/9.53.3/index.js
+#usr/share/doc/ghostscript/9.53.3/pscet_status.txt
+#usr/share/doc/ghostscript/9.53.3/sample_downscale_device.htm
+#usr/share/doc/ghostscript/9.53.3/style.css
+#usr/share/doc/ghostscript/9.53.3/subclass.htm
+#usr/share/doc/ghostscript/9.53.3/thirdparty.htm
 #usr/share/ghostscript
-#usr/share/ghostscript/9.26
-#usr/share/ghostscript/9.26/lib
-#usr/share/ghostscript/9.26/lib/PDFA_def.ps
-#usr/share/ghostscript/9.26/lib/PDFX_def.ps
-#usr/share/ghostscript/9.26/lib/PM760p.upp
-#usr/share/ghostscript/9.26/lib/PM760pl.upp
-#usr/share/ghostscript/9.26/lib/PM820p.upp
-#usr/share/ghostscript/9.26/lib/PM820pl.upp
-#usr/share/ghostscript/9.26/lib/Stc670p.upp
-#usr/share/ghostscript/9.26/lib/Stc670pl.upp
-#usr/share/ghostscript/9.26/lib/Stc680p.upp
-#usr/share/ghostscript/9.26/lib/Stc680pl.upp
-#usr/share/ghostscript/9.26/lib/Stc740p.upp
-#usr/share/ghostscript/9.26/lib/Stc740pl.upp
-#usr/share/ghostscript/9.26/lib/Stc760p.upp
-#usr/share/ghostscript/9.26/lib/Stc760pl.upp
-#usr/share/ghostscript/9.26/lib/Stc777p.upp
-#usr/share/ghostscript/9.26/lib/Stc777pl.upp
-#usr/share/ghostscript/9.26/lib/Stp720p.upp
-#usr/share/ghostscript/9.26/lib/Stp720pl.upp
-#usr/share/ghostscript/9.26/lib/Stp870p.upp
-#usr/share/ghostscript/9.26/lib/Stp870pl.upp
-#usr/share/ghostscript/9.26/lib/acctest.ps
-#usr/share/ghostscript/9.26/lib/align.ps
-#usr/share/ghostscript/9.26/lib/bj8.rpd
-#usr/share/ghostscript/9.26/lib/bj8gc12f.upp
-#usr/share/ghostscript/9.26/lib/bj8hg12f.upp
-#usr/share/ghostscript/9.26/lib/bj8oh06n.upp
-#usr/share/ghostscript/9.26/lib/bj8pa06n.upp
-#usr/share/ghostscript/9.26/lib/bj8pp12f.upp
-#usr/share/ghostscript/9.26/lib/bj8ts06n.upp
-#usr/share/ghostscript/9.26/lib/bjc6000a1.upp
-#usr/share/ghostscript/9.26/lib/bjc6000b1.upp
-#usr/share/ghostscript/9.26/lib/bjc610a0.upp
-#usr/share/ghostscript/9.26/lib/bjc610a1.upp
-#usr/share/ghostscript/9.26/lib/bjc610a2.upp
-#usr/share/ghostscript/9.26/lib/bjc610a3.upp
-#usr/share/ghostscript/9.26/lib/bjc610a4.upp
-#usr/share/ghostscript/9.26/lib/bjc610a5.upp
-#usr/share/ghostscript/9.26/lib/bjc610a6.upp
-#usr/share/ghostscript/9.26/lib/bjc610a7.upp
-#usr/share/ghostscript/9.26/lib/bjc610a8.upp
-#usr/share/ghostscript/9.26/lib/bjc610b1.upp
-#usr/share/ghostscript/9.26/lib/bjc610b2.upp
-#usr/share/ghostscript/9.26/lib/bjc610b3.upp
-#usr/share/ghostscript/9.26/lib/bjc610b4.upp
-#usr/share/ghostscript/9.26/lib/bjc610b6.upp
-#usr/share/ghostscript/9.26/lib/bjc610b7.upp
-#usr/share/ghostscript/9.26/lib/bjc610b8.upp
-#usr/share/ghostscript/9.26/lib/caption.ps
-#usr/share/ghostscript/9.26/lib/cbjc600.ppd
-#usr/share/ghostscript/9.26/lib/cbjc800.ppd
-#usr/share/ghostscript/9.26/lib/cdj550.upp
-#usr/share/ghostscript/9.26/lib/cdj690.upp
-#usr/share/ghostscript/9.26/lib/cdj690ec.upp
-#usr/share/ghostscript/9.26/lib/cid2code.ps
-#usr/share/ghostscript/9.26/lib/dmp_init.ps
-#usr/share/ghostscript/9.26/lib/dmp_site.ps
-#usr/share/ghostscript/9.26/lib/dnj750c.upp
-#usr/share/ghostscript/9.26/lib/dnj750m.upp
-#usr/share/ghostscript/9.26/lib/docie.ps
-#usr/share/ghostscript/9.26/lib/escp_24.src
-#usr/share/ghostscript/9.26/lib/font2pcl.ps
-#usr/share/ghostscript/9.26/lib/ghostpdf.ppd
-#usr/share/ghostscript/9.26/lib/gs_ce_e.ps
-#usr/share/ghostscript/9.26/lib/gs_il2_e.ps
-#usr/share/ghostscript/9.26/lib/gs_kanji.ps
-#usr/share/ghostscript/9.26/lib/gs_ksb_e.ps
-#usr/share/ghostscript/9.26/lib/gs_l.xbm
-#usr/share/ghostscript/9.26/lib/gs_l.xpm
-#usr/share/ghostscript/9.26/lib/gs_l_m.xbm
-#usr/share/ghostscript/9.26/lib/gs_lgo_e.ps
-#usr/share/ghostscript/9.26/lib/gs_lgx_e.ps
-#usr/share/ghostscript/9.26/lib/gs_m.xbm
-#usr/share/ghostscript/9.26/lib/gs_m.xpm
-#usr/share/ghostscript/9.26/lib/gs_m_m.xbm
-#usr/share/ghostscript/9.26/lib/gs_s.xbm
-#usr/share/ghostscript/9.26/lib/gs_s.xpm
-#usr/share/ghostscript/9.26/lib/gs_s_m.xbm
-#usr/share/ghostscript/9.26/lib/gs_t.xbm
-#usr/share/ghostscript/9.26/lib/gs_t.xpm
-#usr/share/ghostscript/9.26/lib/gs_t_m.xbm
-#usr/share/ghostscript/9.26/lib/gs_wl1_e.ps
-#usr/share/ghostscript/9.26/lib/gs_wl2_e.ps
-#usr/share/ghostscript/9.26/lib/gs_wl5_e.ps
-#usr/share/ghostscript/9.26/lib/gslp.ps
-#usr/share/ghostscript/9.26/lib/gsnup.ps
-#usr/share/ghostscript/9.26/lib/ht_ccsto.ps
-#usr/share/ghostscript/9.26/lib/image-qa.ps
-#usr/share/ghostscript/9.26/lib/jispaper.ps
-#usr/share/ghostscript/9.26/lib/landscap.ps
-#usr/share/ghostscript/9.26/lib/lines.ps
-#usr/share/ghostscript/9.26/lib/mkcidfm.ps
-#usr/share/ghostscript/9.26/lib/necp2x.upp
-#usr/share/ghostscript/9.26/lib/necp2x6.upp
-#usr/share/ghostscript/9.26/lib/pdf2dsc.ps
-#usr/share/ghostscript/9.26/lib/pf2afm.ps
-#usr/share/ghostscript/9.26/lib/pfbtopfa.ps
-#usr/share/ghostscript/9.26/lib/ppath.ps
-#usr/share/ghostscript/9.26/lib/pphs.ps
-#usr/share/ghostscript/9.26/lib/prfont.ps
-#usr/share/ghostscript/9.26/lib/printafm.ps
-#usr/share/ghostscript/9.26/lib/ps2ai.ps
-#usr/share/ghostscript/9.26/lib/ps2epsi.ps
-#usr/share/ghostscript/9.26/lib/ras1.upp
-#usr/share/ghostscript/9.26/lib/ras24.upp
-#usr/share/ghostscript/9.26/lib/ras3.upp
-#usr/share/ghostscript/9.26/lib/ras32.upp
-#usr/share/ghostscript/9.26/lib/ras4.upp
-#usr/share/ghostscript/9.26/lib/ras8m.upp
-#usr/share/ghostscript/9.26/lib/rollconv.ps
-#usr/share/ghostscript/9.26/lib/s400a1.upp
-#usr/share/ghostscript/9.26/lib/s400b1.upp
-#usr/share/ghostscript/9.26/lib/sharp.upp
-#usr/share/ghostscript/9.26/lib/sipixa6.upp
-#usr/share/ghostscript/9.26/lib/st640ih.upp
-#usr/share/ghostscript/9.26/lib/st640ihg.upp
-#usr/share/ghostscript/9.26/lib/st640p.upp
-#usr/share/ghostscript/9.26/lib/st640pg.upp
-#usr/share/ghostscript/9.26/lib/st640pl.upp
-#usr/share/ghostscript/9.26/lib/st640plg.upp
-#usr/share/ghostscript/9.26/lib/stc.upp
-#usr/share/ghostscript/9.26/lib/stc1520h.upp
-#usr/share/ghostscript/9.26/lib/stc2.upp
-#usr/share/ghostscript/9.26/lib/stc200_h.upp
-#usr/share/ghostscript/9.26/lib/stc2_h.upp
-#usr/share/ghostscript/9.26/lib/stc2s_h.upp
-#usr/share/ghostscript/9.26/lib/stc300.upp
-#usr/share/ghostscript/9.26/lib/stc300bl.upp
-#usr/share/ghostscript/9.26/lib/stc300bm.upp
-#usr/share/ghostscript/9.26/lib/stc500p.upp
-#usr/share/ghostscript/9.26/lib/stc500ph.upp
-#usr/share/ghostscript/9.26/lib/stc600ih.upp
-#usr/share/ghostscript/9.26/lib/stc600p.upp
-#usr/share/ghostscript/9.26/lib/stc600pl.upp
-#usr/share/ghostscript/9.26/lib/stc640p.upp
-#usr/share/ghostscript/9.26/lib/stc740ih.upp
-#usr/share/ghostscript/9.26/lib/stc800ih.upp
-#usr/share/ghostscript/9.26/lib/stc800p.upp
-#usr/share/ghostscript/9.26/lib/stc800pl.upp
-#usr/share/ghostscript/9.26/lib/stc_h.upp
-#usr/share/ghostscript/9.26/lib/stc_l.upp
-#usr/share/ghostscript/9.26/lib/stcany.upp
-#usr/share/ghostscript/9.26/lib/stcany_h.upp
-#usr/share/ghostscript/9.26/lib/stcinfo.ps
-#usr/share/ghostscript/9.26/lib/stcolor.ps
-#usr/share/ghostscript/9.26/lib/stocht.ps
-#usr/share/ghostscript/9.26/lib/traceimg.ps
-#usr/share/ghostscript/9.26/lib/traceop.ps
-#usr/share/ghostscript/9.26/lib/uninfo.ps
-#usr/share/ghostscript/9.26/lib/viewcmyk.ps
-#usr/share/ghostscript/9.26/lib/viewgif.ps
-#usr/share/ghostscript/9.26/lib/viewjpeg.ps
-#usr/share/ghostscript/9.26/lib/viewmiff.ps
-#usr/share/ghostscript/9.26/lib/viewpbm.ps
-#usr/share/ghostscript/9.26/lib/viewpcx.ps
-#usr/share/ghostscript/9.26/lib/viewps2a.ps
-#usr/share/ghostscript/9.26/lib/winmaps.ps
-#usr/share/ghostscript/9.26/lib/zeroline.ps
+#usr/share/ghostscript/9.53.3
+#usr/share/ghostscript/9.53.3/lib
+#usr/share/ghostscript/9.53.3/lib/PDFA_def.ps
+#usr/share/ghostscript/9.53.3/lib/PDFX_def.ps
+#usr/share/ghostscript/9.53.3/lib/PM760p.upp
+#usr/share/ghostscript/9.53.3/lib/PM760pl.upp
+#usr/share/ghostscript/9.53.3/lib/PM820p.upp
+#usr/share/ghostscript/9.53.3/lib/PM820pl.upp
+#usr/share/ghostscript/9.53.3/lib/Stc670p.upp
+#usr/share/ghostscript/9.53.3/lib/Stc670pl.upp
+#usr/share/ghostscript/9.53.3/lib/Stc680p.upp
+#usr/share/ghostscript/9.53.3/lib/Stc680pl.upp
+#usr/share/ghostscript/9.53.3/lib/Stc740p.upp
+#usr/share/ghostscript/9.53.3/lib/Stc740pl.upp
+#usr/share/ghostscript/9.53.3/lib/Stc760p.upp
+#usr/share/ghostscript/9.53.3/lib/Stc760pl.upp
+#usr/share/ghostscript/9.53.3/lib/Stc777p.upp
+#usr/share/ghostscript/9.53.3/lib/Stc777pl.upp
+#usr/share/ghostscript/9.53.3/lib/Stp720p.upp
+#usr/share/ghostscript/9.53.3/lib/Stp720pl.upp
+#usr/share/ghostscript/9.53.3/lib/Stp870p.upp
+#usr/share/ghostscript/9.53.3/lib/Stp870pl.upp
+#usr/share/ghostscript/9.53.3/lib/acctest.ps
+#usr/share/ghostscript/9.53.3/lib/align.ps
+#usr/share/ghostscript/9.53.3/lib/bj8.rpd
+#usr/share/ghostscript/9.53.3/lib/bj8gc12f.upp
+#usr/share/ghostscript/9.53.3/lib/bj8hg12f.upp
+#usr/share/ghostscript/9.53.3/lib/bj8oh06n.upp
+#usr/share/ghostscript/9.53.3/lib/bj8pa06n.upp
+#usr/share/ghostscript/9.53.3/lib/bj8pp12f.upp
+#usr/share/ghostscript/9.53.3/lib/bj8ts06n.upp
+#usr/share/ghostscript/9.53.3/lib/bjc6000a1.upp
+#usr/share/ghostscript/9.53.3/lib/bjc6000b1.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a0.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a1.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a2.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a3.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a4.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a5.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a6.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a7.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610a8.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610b1.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610b2.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610b3.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610b4.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610b6.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610b7.upp
+#usr/share/ghostscript/9.53.3/lib/bjc610b8.upp
+#usr/share/ghostscript/9.53.3/lib/caption.ps
+#usr/share/ghostscript/9.53.3/lib/cbjc600.ppd
+#usr/share/ghostscript/9.53.3/lib/cbjc800.ppd
+#usr/share/ghostscript/9.53.3/lib/cdj550.upp
+#usr/share/ghostscript/9.53.3/lib/cdj690.upp
+#usr/share/ghostscript/9.53.3/lib/cdj690ec.upp
+#usr/share/ghostscript/9.53.3/lib/cid2code.ps
+#usr/share/ghostscript/9.53.3/lib/dnj750c.upp
+#usr/share/ghostscript/9.53.3/lib/dnj750m.upp
+#usr/share/ghostscript/9.53.3/lib/docie.ps
+#usr/share/ghostscript/9.53.3/lib/font2pcl.ps
+#usr/share/ghostscript/9.53.3/lib/ghostpdf.ppd
+#usr/share/ghostscript/9.53.3/lib/gs_ce_e.ps
+#usr/share/ghostscript/9.53.3/lib/gs_il2_e.ps
+#usr/share/ghostscript/9.53.3/lib/gs_kanji.ps
+#usr/share/ghostscript/9.53.3/lib/gs_ksb_e.ps
+#usr/share/ghostscript/9.53.3/lib/gs_l.xbm
+#usr/share/ghostscript/9.53.3/lib/gs_l.xpm
+#usr/share/ghostscript/9.53.3/lib/gs_l_m.xbm
+#usr/share/ghostscript/9.53.3/lib/gs_lgo_e.ps
+#usr/share/ghostscript/9.53.3/lib/gs_lgx_e.ps
+#usr/share/ghostscript/9.53.3/lib/gs_m.xbm
+#usr/share/ghostscript/9.53.3/lib/gs_m.xpm
+#usr/share/ghostscript/9.53.3/lib/gs_m_m.xbm
+#usr/share/ghostscript/9.53.3/lib/gs_s.xbm
+#usr/share/ghostscript/9.53.3/lib/gs_s.xpm
+#usr/share/ghostscript/9.53.3/lib/gs_s_m.xbm
+#usr/share/ghostscript/9.53.3/lib/gs_t.xbm
+#usr/share/ghostscript/9.53.3/lib/gs_t.xpm
+#usr/share/ghostscript/9.53.3/lib/gs_t_m.xbm
+#usr/share/ghostscript/9.53.3/lib/gs_wl1_e.ps
+#usr/share/ghostscript/9.53.3/lib/gs_wl2_e.ps
+#usr/share/ghostscript/9.53.3/lib/gs_wl5_e.ps
+#usr/share/ghostscript/9.53.3/lib/gslp.ps
+#usr/share/ghostscript/9.53.3/lib/gsnup.ps
+#usr/share/ghostscript/9.53.3/lib/ht_ccsto.ps
+#usr/share/ghostscript/9.53.3/lib/image-qa.ps
+#usr/share/ghostscript/9.53.3/lib/jispaper.ps
+#usr/share/ghostscript/9.53.3/lib/landscap.ps
+#usr/share/ghostscript/9.53.3/lib/lines.ps
+#usr/share/ghostscript/9.53.3/lib/mkcidfm.ps
+#usr/share/ghostscript/9.53.3/lib/necp2x.upp
+#usr/share/ghostscript/9.53.3/lib/necp2x6.upp
+#usr/share/ghostscript/9.53.3/lib/pdf2dsc.ps
+#usr/share/ghostscript/9.53.3/lib/pdf_info.ps
+#usr/share/ghostscript/9.53.3/lib/pf2afm.ps
+#usr/share/ghostscript/9.53.3/lib/pfbtopfa.ps
+#usr/share/ghostscript/9.53.3/lib/ppath.ps
+#usr/share/ghostscript/9.53.3/lib/pphs.ps
+#usr/share/ghostscript/9.53.3/lib/prfont.ps
+#usr/share/ghostscript/9.53.3/lib/printafm.ps
+#usr/share/ghostscript/9.53.3/lib/ps2ai.ps
+#usr/share/ghostscript/9.53.3/lib/ps2epsi.ps
+#usr/share/ghostscript/9.53.3/lib/ras1.upp
+#usr/share/ghostscript/9.53.3/lib/ras24.upp
+#usr/share/ghostscript/9.53.3/lib/ras3.upp
+#usr/share/ghostscript/9.53.3/lib/ras32.upp
+#usr/share/ghostscript/9.53.3/lib/ras4.upp
+#usr/share/ghostscript/9.53.3/lib/ras8m.upp
+#usr/share/ghostscript/9.53.3/lib/rollconv.ps
+#usr/share/ghostscript/9.53.3/lib/s400a1.upp
+#usr/share/ghostscript/9.53.3/lib/s400b1.upp
+#usr/share/ghostscript/9.53.3/lib/sharp.upp
+#usr/share/ghostscript/9.53.3/lib/sipixa6.upp
+#usr/share/ghostscript/9.53.3/lib/st640ih.upp
+#usr/share/ghostscript/9.53.3/lib/st640ihg.upp
+#usr/share/ghostscript/9.53.3/lib/st640p.upp
+#usr/share/ghostscript/9.53.3/lib/st640pg.upp
+#usr/share/ghostscript/9.53.3/lib/st640pl.upp
+#usr/share/ghostscript/9.53.3/lib/st640plg.upp
+#usr/share/ghostscript/9.53.3/lib/stc.upp
+#usr/share/ghostscript/9.53.3/lib/stc1520h.upp
+#usr/share/ghostscript/9.53.3/lib/stc2.upp
+#usr/share/ghostscript/9.53.3/lib/stc200_h.upp
+#usr/share/ghostscript/9.53.3/lib/stc2_h.upp
+#usr/share/ghostscript/9.53.3/lib/stc2s_h.upp
+#usr/share/ghostscript/9.53.3/lib/stc300.upp
+#usr/share/ghostscript/9.53.3/lib/stc300bl.upp
+#usr/share/ghostscript/9.53.3/lib/stc300bm.upp
+#usr/share/ghostscript/9.53.3/lib/stc500p.upp
+#usr/share/ghostscript/9.53.3/lib/stc500ph.upp
+#usr/share/ghostscript/9.53.3/lib/stc600ih.upp
+#usr/share/ghostscript/9.53.3/lib/stc600p.upp
+#usr/share/ghostscript/9.53.3/lib/stc600pl.upp
+#usr/share/ghostscript/9.53.3/lib/stc640p.upp
+#usr/share/ghostscript/9.53.3/lib/stc740ih.upp
+#usr/share/ghostscript/9.53.3/lib/stc800ih.upp
+#usr/share/ghostscript/9.53.3/lib/stc800p.upp
+#usr/share/ghostscript/9.53.3/lib/stc800pl.upp
+#usr/share/ghostscript/9.53.3/lib/stc_h.upp
+#usr/share/ghostscript/9.53.3/lib/stc_l.upp
+#usr/share/ghostscript/9.53.3/lib/stcany.upp
+#usr/share/ghostscript/9.53.3/lib/stcany_h.upp
+#usr/share/ghostscript/9.53.3/lib/stcinfo.ps
+#usr/share/ghostscript/9.53.3/lib/stcolor.ps
+#usr/share/ghostscript/9.53.3/lib/stocht.ps
+#usr/share/ghostscript/9.53.3/lib/traceimg.ps
+#usr/share/ghostscript/9.53.3/lib/traceop.ps
+#usr/share/ghostscript/9.53.3/lib/uninfo.ps
+#usr/share/ghostscript/9.53.3/lib/viewcmyk.ps
+#usr/share/ghostscript/9.53.3/lib/viewgif.ps
+#usr/share/ghostscript/9.53.3/lib/viewjpeg.ps
+#usr/share/ghostscript/9.53.3/lib/viewmiff.ps
+#usr/share/ghostscript/9.53.3/lib/viewpbm.ps
+#usr/share/ghostscript/9.53.3/lib/viewpcx.ps
+#usr/share/ghostscript/9.53.3/lib/viewps2a.ps
+#usr/share/ghostscript/9.53.3/lib/winmaps.ps
+#usr/share/ghostscript/9.53.3/lib/zeroline.ps
 #usr/share/ghostscript/fonts
 #usr/share/ghostscript/fonts/COPYING
 #usr/share/ghostscript/fonts/ChangeLog
diff --git a/lfs/ghostscript b/lfs/ghostscript
index 7dd32858e..edf019f5d 100644
--- a/lfs/ghostscript
+++ b/lfs/ghostscript
@@ -24,15 +24,15 @@
 
 include Config
 
-VER        = 9.26
+VER        = 9.53.3
 
 THISAPP    = ghostscript-$(VER)
-DL_FILE    = $(THISAPP).tar.gz
+DL_FILE    = $(THISAPP).tar.xz
 DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = ghostscript
-PAK_VER    = 5
+PAK_VER    = 6
 
 DEPS       = cups dbus libtiff
 
@@ -48,7 +48,7 @@ $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 ghostscript-fonts-std-8.11.tar.gz = $(URL_IPFIRE)/ghostscript-fonts-std-8.11.tar.gz
 gnu-gs-fonts-other-6.0.tar.gz = $(URL_IPFIRE)/gnu-gs-fonts-other-6.0.tar.gz
 
-$(DL_FILE)_MD5 = 806bc2dedbc7f69b003f536658e08d4a
+$(DL_FILE)_MD5 = bf0b41d6e19fdeb4b050afad309248d2
 ghostscript-fonts-std-8.11.tar.gz_MD5 = 6865682b095f8c4500c54b285ff05ef6
 gnu-gs-fonts-other-6.0.tar.gz_MD5 = 33457d3f37de7ef03d2eea05a9e6aa4f
 